_Efl_Ui_Layout_Data Struct Reference

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Efl_Ui_Layout_Data Struct Reference
Widgets Extension Infrastructure

Base widget smart data extended with layout instance data. More...

`#include <elm_widget_layout.h>`

## Data Fields
Evas_Object * | obj
| The object itself.
Eina_List * | subs
| List of Elm_Layout_Sub_Object_Data structs, to hold the actual sub objects such as text, content and the children of box and table.
Eina_List * | edje_signals
| The list of edje signal callbacks.
Eina_List * | parts_cursors
| The list of cursor names of layout parts.
Eina_Inarray * | deferred_signals
| signals which were generated during construction
struct {
Eina_Hash * properties
| The list of properties connected to layout parts.
Eina_Hash * signals
| The list of signals connected.
Eina_Hash * factories
| The hash with parts connected to factories.
Eina_Bool updating: 1
} | connect
unsigned int | finger_size_multiplier_x
unsigned int | finger_size_multiplier_y
| multipliers for finger_size during group_calc
unsigned int | version
| version number specified in the widget's theme
Eina_Bool | frozen
| Layout freeze state.
Eina_Bool | can_access: 1
| This is true when all text(including textblock) parts can be accessible by accessibility.
Eina_Bool | destructed_is: 1
| This flag indicates if Efl.Ui.Layout destructor was called.
Eina_Bool | file_set: 1
| This flag indicates if Efl.Ui.Layout source is set from a file.
Eina_Bool | automatic_orientation_apply: 1
Eina_Bool | model_bound: 1
| Set to true once we are watching over a model.
Eina_Bool | model_watch: 1
| Set to true once we do watch for model change.
Eina_Bool | calc_subobjs: 1
| Set to true if group_calc should also handle subobjs during manual calc.
Eina_Bool | cb_theme_changed: 1
| if theme,changed event subscriber has been added
Eina_Bool | needs_theme_apply: 1
| if theme has not been manually set during construction
Eina_Bool | frozen_changed: 1
| only set if object was changed while frozen

## Detailed Description

Base widget smart data extended with layout instance data.

## Field Documentation

## ◆ parts_cursors

Eina_List* _Efl_Ui_Layout_Data::parts_cursors

The list of cursor names of layout parts.

This is a list of Elm_Layout_Sub_Object_Cursor struct.

## ◆ destructed_is

Eina_Bool _Efl_Ui_Layout_Data::destructed_is

This flag indicates if Efl.Ui.Layout destructor was called.

This is needed to avoid unnecessary calculation of subobject deletion during layout object's deletion.